Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata.query
Class MetadataPropertyQuery

    java.lang.Object
      com.endeca.portal.metadata.query.MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord>
          com.endeca.portal.metadata.query.MetadataPropertyQuery

    public class MetadataPropertyQuery

extends MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord>

Implementation of a metadata query for `MetadataPropertyRecord` instances.

Author:
  Endeca Technologies, Inc.
See Also:
  `MetadataPropertyRecord`

Field Summary
`static java.lang.String` | `FIELD_NAME_PROPERTY_ID`

Fields inherited from class com.endeca.portal.metadata.query.MetadataQuery
`FIELD_NAME_DESCRIPTION, FIELD_NAME_FEATURE, FIELD_NAME_KEY, FIELD_NAME_LAST_UPDATED, FIELD_NAME_LOCALE, FIELD_NAME_OBJECT_ID, FIELD_NAME_REL, FIELD_NAME_SOURCE, FIELD_NAME_TYPE, FIELD_NAME_VALUE, query`

Constructor Summary
`MetadataPropertyQuery()` Constructs an empty metadata query

Method Summary
`java.util.List<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord>` | `execute()` Executes the `DynamicQuery` and returns a list of MetadataPropertyRecord objects.
`void` | `initDynamicQuery()` Initializes the `DynamicQuery` using the MetadataPropertyRecord class.
`void` | `setPropertyId(long propertyId)` Adds criteria to the query: the value of the "metadataPropertyId" field

Methods inherited from class com.endeca.portal.metadata.query.MetadataQuery
`setDescription, setFeature, setKey, setLocale, setObjectId, setOrderAsc, setOrderDesc, setRel, setSource, setType, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIELD_NAME_PROPERTY_ID

    public static final java.lang.String FIELD_NAME_PROPERTY_ID

See Also:
  Constant Field Values

Constructor Detail

### MetadataPropertyQuery

    public MetadataPropertyQuery()

  Constructs an empty metadata query

Method Detail

### initDynamicQuery

    public void initDynamicQuery()

  Initializes the `DynamicQuery` using the MetadataPropertyRecord class.

  Specified by:
    `initDynamicQuery` in class `MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord>`
  See Also:
    `MetadataQuery.initDynamicQuery()`

### execute

    public java.util.List<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord> execute()
                                                                                                throws MetadataQueryException

  Executes the `DynamicQuery` and returns a list of MetadataPropertyRecord objects.

  Specified by:
    `execute` in class `MetadataQuery<com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord>`
  Returns:
    a list of Liferay records
  Throws:
    `MetadataQueryException`
  See Also:
    `MetadataQuery.execute()`

### setPropertyId

    public void setPropertyId(long propertyId)

  Adds criteria to the query: the value of the "metadataPropertyId" field

  Parameters:
    `propertyId` - the property ID to look for

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD